DissectImage Overview

Overview

WapNuri DissectImage 1.0b is a graphics tool for creating WBMP format files with lots of intelligent features for image processing.

DissectImage produces outline sketches which can be easy to figure out on the limited space from any of your favorite images.
It supports most popular image formats - BMP, GIF, JPEG, ICO, WMF, RAW and WBMP.
Now, you don't need to spend a huge amount of time to make new images for the WAP. Just launch the DissectImage Wizard and select your image.

DissectImage is designed for everyone who intersted in WAP and want to make ther own images for it -- Contents Providers, Wireless related companys, Developers, Retailers, WAP Users

  • Features
  • Wizard
  • Guide of interface


Features

  • Select, Copy and Paste into a new window
  • Change Image bit rate
  • Transfer image format to RGB, HSI, Monocrome or Grayscale.
  • Split image to RGB and HSI channel
  • Inverse and user defined Color Balance

  • Image Rotate and Mirror
  • Resize image from 25% to 500%

  • Edge detection
  • Blur, 1 to 4 serise of Sharp, Emboss and edge Filtering with auto/custom mode
  • Threshold with many dithering filters
  • Clustered Dot1,2, Floyd & Steinberg, Jarvis & Judice, Stuki and Custom

  • Supports WBMP, BMP, JPEG, GIF, ICO, WMF, EMF and RAW image format.
  • Open Images with preview window.
  • Wizard mode produces various WBMP fromat images easily


Guide of Interface

  • Menu bar items
  • Tool bar items
  • Status bar items


Menu bar

This is displayed when no images have been selected.
This is displayed after one or more images have been selected.

  • File
  • Edit
  • Bit&Color
  • Rotate&Scal
  • Detect&Dither
  • Help


Menu - File

Menu| File

  • Open : Load image.

  • Wizard : Launch the wizard mode

  • Close : Close the current image window

  • Close All : Close all image windows in the program window

  • Save : Save image in current image window

  • Save As : Same as Save command with a new image name

  • Exit : Exit program


Menu - Edit

Menu| Edit

  • Select/SelectAll/Unselect

    If you want to take a part from the source image, choose 'Select' command in main menu or 'Select button' in button bar. When you select this command, you can freely select an area by pressing down the left mouse button and holding it while you drag a rectangle of your choice.

  • cut/copy/paste with new

    Use the 'cut' menu or 'cut button' to cut a selected area from the source image. The edited part of the image is filled with white color after using the cutting command. Copy and Paste commands create a new image window using the cut or copied selection of the source image.


Menu - Bit&Color

Menu| Bit&Color

  • Bit : Change bit rate from pfDef to pf32Bit of your image.

  • Grayscale : Convert a Color image to a 16-bit grayscale image

  • Monochrome : Convert a Color image to a 1-bit monochrome image

  • RGB to HSI

    Convert a current image format to a HSI image format with a new image window. If the source is grayscale, monochrome or low-bit image, it just changs image format without color conversion.

  • HSI Channel distribute

    Pick out Hue, Saturation and Intensity channels from the color image. Each is displayed as a new image window.

  • RGB Channel distribute

    Pick out Red, Green and Blue channels from the color image. Each is displayed as a new image window.

  • Inverse

    This creates a negative of your image. It produces this effect in the same image window.

  • Channel & Threshold

    Custom mode with processing window. You can change RGB & HSI color balances by adjusting the appropriate track bar in the processing window. You can also give different thresholding values to each channel of the source image.


Menu - Detect&Dither

Menu| Detect&Dither

This section menu has three different submenus which are 'Edge', 'Dithering' and 'Convolve'. Each submenu also consists of several items representing different processing algorithms. Each menu item has its own processing window. Menu items in the submenu can be changed in the same processing window. To select an image from the processing window, just double-click on the image which you want.

  • Edge-Difference/HomoGeneity/ColorEdge

    Edge commands reduce an image to show only its edge details. The edges appear as outlines of objects within the image. These are used in a different way from the 'Dithering', 'Convolve' and 'Convolve-edge' commands.

  • Dithering
    • Clusterd Dot1/2/Floyd&Steinberg/Javis&Judice/Stucki

      Use these commands to create an dithered image. Dithering is needed to convert color and grayscale images to low resolution displays. This menu is arranged according to method type. Each Method type has its own spatial filters.

    • Custom

      It's also a dithering method, but this command doesn't have a specified filter. It divides the image by user defined values.

  • Convolve
    • Blouring : Convert a rough image to a smooth image.
    • Sharpning1/2/3/4 : Convert an unclear image to a distint image.

    • Embossing : Creates an embossed image.
    • Edge Detect-Laplacian1/2/Conv/Sobel/Roberts/Prewitt :

      These are other edge detecting methods.


Menu - Rotate&Scale

Menu| Rotate&Scale

  • Rotate 90

    Rotates an image 90 degrees in Clock Wise. The rotated image is displayed in a new image window.

  • Rotate Any

    Rotates an image by any angle by moving the track-bar which is located below the source image. After rotation, the image will be cropped to be displayed in the source window. To prevent cropped image, check 'Full fit' option.

  • Mirror Vertical

    This command rotates an image about a vertical axis.

  • Mirror Horizontal

    This command rotates an image also about horizontal axis.

  • Scale(-)/Scale(+)

    Resizes the image to the user defined percentage ratio with no image distortion. The reduced methods are based on the weighted value of the surrounding pixels. The pixel values of the created image by the enlargement methods are based on the closes pixels of the old image.

  • Custom Scale

    Use this command to choose your own scale not in the predefined scale size (Scale(-) and Scale(+)). You can see the scaling track bars in the image scaling process window. Each scaling command has its own track bar. The result is displayed in the process window.


Menu - Help

Menu| Help

  • Contents command

  • WapNuri HomePage command

  • About Command

    This command presents About dialog box which displays the copyright notice and version number of your copy of DissectImage.


Tool bar

This is initialy displayed when no images have been selected.
This is displayed after an image has been selected.

  • file input,output and wizard
  • select/copy/paste with new
  • speed processing 1/2/3/4
  • help, exit


Tool bar - Open/Save/Wizard

Toolbar| Open/Save/Wizard

  • Load image

Load an image by pressing this button or select 'File-Open' in the menu.

  • Save image

Save an image by pressing this button or select 'File-SaveAs' in the menu.

  • Wizard

Launch the Image Wizard by pressing this button or select 'File-Wizard' in the menu.
There are two options in the wizard. In the first option, one click wizard, the user only needs to select a source image. The second option, the detail wizard, the user follows three steps to produce the desired result.


Tool bar - Edit/Cut/Copy/Paste

Toolbar| Edit/Cut/Copy/Paste

  • Select image

    Select a particular area of the image to use with the copy and paste command. You can find the same command in the main menu 'Edit-Select' and it also appers in sub-menu by right mouse button click in the image window.

  • Cut and Copy image

    Keep a copy of the selected area of the image.

  • Paste in new

    Paste stored image into a new image window. ( This version doesn't support pasteing into other image windows. )


Tool bar - SpeedProcessing 1/2/3/4

Toolbar| SpeedProcessing 1/2/3/4

  • Quick processing 1/2/3/4

    Each quick processing number is useful for the following results.

    • Quick processing 1
      • Creates three distinct image windows and is useful for manipulating icons and simple images.

    • Quick processing 2
      • Creates seven distinct image windows and useful for full color and complex images.

    • Quick processing 3
      • Also creates seven distinct image windows and is useful for simple images, cartoon images and icons.

    • Quick processing 4
      • Creates fifteen distinct image windows and is useful for super set of the other quick processing commands.


Tool bar - Help/Exit

Toolbar| Help/Exit

  • help : Select this When you have a qustion.

  • exit : To quit the program


Status bar

The status bar at the bottom of the program window shows the following information.

  • RGB / HSI

    RGB values of the current pointed pixel

  • Bit Rate

    Bit rate of the current pointed pixel

  • y, x

    Location of mouse pointer on the image. The distances are calculated from the top-left corner of the image.

  • Height,Width

    dimension of the image


Wizard

The Dissect Image Wizard guides you through the transformation process to produce outstanding images for WBMP format.

There are two modes of the Wizard. The first mode is the 'One click wizard' which produce 15 black & white images. This is the same as the Quick processing number 4. The second is the 'Detail wizard' which can produce more customized results. This wizard will produce results similar to quick processing numbers 2,3 and 4.

This wizard reduces your time and effort to get quality WBMP format images.

The Wizard mode appears as soon as the program is launched. Also, you can use this at anytime by clicking 'Wizard button' in toolbar or 'File-Wizard' in the main menu.

Follow the directions in the wizard to produce the desired results.

  • One click wizard

  • Detail wizard

    • Step 1

    • Step 2

    • Step 3


Power Tips

  • To open an image without using the menu or toolbar button

    Double Left click inside the main program window.

  • To resize image windows

    Double left click the window title bar.

  • Double-Click to choose an image

    Whenever you meet a new window for custom processing, just double-click on the desired image. This works in any processing window.

  • After each processing

    After an image processing operation is completed, the results will be produced in a new window, but the original image will be untouched except in case of inverse function.


System

System Requirements

  • Windows 95/98/NT or Windows 2000 platforms
  • Pentium 133MHz or faster
  • 32MB internal memory or more
  • 10MB free Harddrive space


About Dissectimage

Copyright 2000 WAPNURI. All right reserved.
WapNuri, the WapNuri logo, and Dissectimage are
trademarks or registered trademarks of WapNuri.

Email : HS.Kang , Eric.Lee
Home : http://i.am/wapnuri